# SPDX-License-Identifier: LGPL-2.1-only
# Copyright 2022 Jookia <contact@jookia.org>


class Message:
    def __init__(self, id, values):
        self.id = id
        self.values = values

    def __repr__(self):
        return "Message('%s', %s)" % (self.id, self.values)  # pragma: no mutate

    def __eq__(self, other):
        if other is None:
            return False
        return self.id == other.id and self.values == other.values
