# SPDX-License-Identifier: LGPL-2.1-only
# Copyright 2022 Jookia <contact@jookia.org>

from hypothesis import settings, HealthCheck

general_settings = settings(
    print_blob=True, deadline=None, suppress_health_check=[HealthCheck.too_slow]
)
settings.register_profile("dev", max_examples=100, parent=general_settings)
settings.register_profile("ci", max_examples=10000, parent=general_settings)
settings.register_profile("long", max_examples=100000, parent=general_settings)
